import { NotebookPanel } from '@jupyterlab/notebook';
import CountdownInputPrompt from '../../../../components/notebook/cell/prompt/CountdownInputPrompt';
import CountdownOutputPrompt from '../../../../components/notebook/cell/prompt/CountdownOutputPrompt';
export class CountdownContentFactory extends NotebookPanel.ContentFactory {
    constructor(options) {
        super(options);
    }
    /** @override */
    createInputPrompt() {
        return new CountdownInputPrompt();
    }
    /** @override */
    createOutputPrompt() {
        return new CountdownOutputPrompt();
    }
}
export default CountdownContentFactory;
//# sourceMappingURL=CountdownContentFactory.js.map